<?php
if( ! class_exists( 'business_click_Excerpt' ) ):
    class Business_Click_Excerpt{

        /**
        * Default length (by WordPress)
        */
        public $length = 55;

        /**
        * Read more Text for excerpt
        */
        public $more_text = '';

        /**
        * So you can call: suit_mag_excerpt( 'short' );
        */
        protected $types = array(
            'short'   => 25,
            'regular' => 55,
            'long'    => 100
        );

        /**
        * Stores class instance
        */
        protected static $instance = NULL;

        /**
        * Retrives the instance of this class
        */
        public static function get_instance() {

            if ( ! self::$instance ) {
              self::$instance = new self();
            }

            return self::$instance;
        }

        /**
        * Sets the length for the excerpt,then it adds the WP filter
        * And automatically calls the_excerpt();
        */
        public function excerpt( $new_length = 55, $echo, $more_text, $page_id ) {        
            $this->length    = $new_length;
            $this->more_text = $more_text;

            add_filter( 'excerpt_more', array( $this, 'new_excerpt_more' ) );
            add_filter( 'excerpt_length', array( $this, 'new_length' ) );

            if( $echo ){
              the_excerpt();
            }else{
                $content = $page_id ?  get_the_excerpt( $page_id ) :  get_the_excerpt();
                remove_filter( 'excerpt_more', array( $this, 'new_excerpt_more' ) );
                remove_filter( 'excerpt_length', array( $this, 'new_length' ) );
                return $content;
            }
        
        }

        public function new_excerpt_more( $more ){
            if( is_admin() ){
                return $more;
            }
            return $this->more_text;
        }

        /** 
        * Tells WP the new length
        */
        public function new_length( $length ) {
            if( is_admin() ){
                return $length;
            }

            if( isset( $this->types[ $this->length ] ) ){
              return $this->types[ $this->length ];
            }else{
              return $this->length;
            }
        }
    }

endif;

/**
* Call to business_click_Excerpt
*/
if( ! function_exists( 'business_click_excerpt' ) ):

    function business_click_excerpt( $length = 55, $echo = true, $more = '', $page_id = false ) {
        return Business_Click_Excerpt::get_instance()->excerpt( $length, $echo, $more, $page_id );
    }
endif;